PDA

View Full Version : Deep Rising FX v1.2 Update!! 25% Discount until 14th June!



darkChief
05-30-2017, 06:17 PM
Hi

Deep Rising FX 1.2 is finally here!! A lot has changed and for the better. Please visit www.deepfxworld.com (http://www.deepfxworld.com) for more details.

There will be a 25% discount to mark this update until 14th June.

Grab the demo if you don't already have a license.

Demo Limitations
----------------
150 Frame Limit.
No Disk Cache.
No Menu Shortcut Buttons.
A reminder to purchase full version when loading and saving.


Change Log
----------------
- Two Way Rigid Coupling (Rigid Objects)

- Bullet Integration
- VHACD convex decomposition
- Bullet One way Coupled Objects
- Bullet Two way Coupled Objects


- Make current cached frame the initial state for a fluid entity
- Updated Filter Editer

- Drag and reposition filters in stack


- Animatable Values

- Emitter Particle strength
- Emitter U Randomness
- Emitter V Randomness
- Euphorik Solver Timestep
- Euphorik Solver Gravity
- Euphorik Solver Viscosity
- Euphorik Solver Vorticity
- Euphorik Solver Adhesion
- Euphorik Solver Tension


- Updated surface tension, tension forces only applied to surface particles.
- Export .obj Mesh sequence (sequencer still only reads assbin files, faster and smaller, not a text file format).
- Mesh Sequencer autoloads sequence after loading saved scene
- Mesh sequencer no longer needs the _proxy_.lwo

- Can used any saved object
- Can apply a surface library


- Euphorik Solver Presets

- Light Syrup
- Thick Syrup
- Tap Water
- Invicid Water
- Slow Shallow Water
- Slush


- Domain Automatically Adds a fluid cache & a mesh reference to the domain if none are present.
- Null's no longer needed before adding entity to domain.
- Rigid Object & Fluid Object panels now have name fields.
- New Menu Buttons(More to come)

- Preview Mesh
- Add Emitter
- Add Fluid Object
- Add Rigid Object


- You can now remove multiple selected entities selected in the domain window.
- Hypervoxels now have velocities from cache.
- New Domain Entity type Sinks

- Axis Aligned Bounding Box sink type
- Kill Particles that enter or leave box





https://www.youtube.com/watch?v=w5p9U6NMHVM

Dodgy
05-30-2017, 06:24 PM
Sounds like an excellent update!

mataori
06-02-2017, 03:14 PM
Hello,I just installed demo version. and I got these messages after I loaded basic_scene.lws in sample scenes.

Plug-in Deep_Rising_Object_Visualiser of incorrect version
Plug-in Deep_Rising_Cache_Visualiser of incorrect version
Plug-in Deep_Rising_Emitter of incorrect version

then layout crashed.
Other scenes are also the same.

And when I click DR domain,I get the massage 'Plug_in Deep_Rising_Domain of incorrect version'.

help me please.

lightwave vesion 11.6.3

thanks.

darkChief
06-02-2017, 06:17 PM
Make sure you have the latest version of Lightwave 2015/11 installed. Lightwave will say "incorrect version" if you are using an older version of Lightwave that the SDK does not support.

mataori
06-02-2017, 10:30 PM
I downloaded 11.6.3 from newtek site and installed .and this is it.
136972

mataori
06-02-2017, 10:42 PM
I downloaded 11.6.3 from newtek site and installed .and this is it.
136972

darkChief
06-03-2017, 04:12 AM
That may be an older build you installed. Unless 11.6.3 is not the same as 2015.3. This is what mine looks like.

mataori
06-03-2017, 04:23 AM
OK you mean I should install 2015.3. right?

darkChief
06-03-2017, 07:25 AM
Yes 2015.3. Sorry I get them confused.

mataori
06-04-2017, 05:38 PM
But on your web
'Compatibility: Lightwave 11.6.3+ (64 bit and 32 bit)'
why?
am I wrong?

TreyX
06-04-2017, 06:31 PM
just bought my copy today. f-ing excited to play with this puppy! thanks, deep fx crew! :D having elegant fluid FX will make my LW suite a powerhouse...

darkChief
06-05-2017, 02:31 AM
But on your web
'Compatibility: Lightwave 11.6.3+ (64 bit and 32 bit)'
why?
am I wrong?

Forgot to update the compatibility, that was for previous versions.

darkChief
06-05-2017, 04:47 PM
The builds have been updated (including the demo), Lightwave 11.6 is now supported.

mataori
06-06-2017, 03:06 AM
I just added plugin for 11.6. and loaded "basic_scene.lws."
then got the message "A critical error has occurred, create a crash report?"
I wonder what's wrong.
any idea?

darkChief
06-06-2017, 05:40 AM
Just tested it, it works fine. Could be something else causing the problem.

darkChief
06-10-2017, 04:11 AM
Just a quick reminder, there's less than a week left for the promotion :D